• Post Reply Bookmark Topic Watch Topic
  • New Topic

jdk1.4.2 not been detected  RSS feed

 
Mateen Dar
Ranch Hand
Posts: 55
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi i am running red hat linux 9.. with gnome desktop manager. i insttaled jdk1.4.2, and it was added in the /usr/java/ directory. but the when ver i try to installed any software (such as wireless tookit 2.2) it reports no suitable interpreter installed. how can i get the jvm to work .
 
Tim Holloway
Saloon Keeper
Posts: 18795
74
Android Eclipse IDE Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
You probably need to set an environment variable. It depends on the product, but a lot of them look to JAVA_HOME to know which JDK you're planning to run under (since you can have multiple JDKs in /usr/java)

For example:

export JAVA_HOME=/usr/java/j2sdk1.4.2_06

I think Eclipse is one of the apps that needs this variable, BTW.
 
Rick Beaver
Ranch Hand
Posts: 464
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Something else I always do is add the $JAVA_HOME/bin directory to my PATH variable.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!